include arp.h, required for 2.6.23
authorLuis R. Rodriguez <lrodriguez@atheros.com>
Mon, 11 Jan 2010 19:49:33 +0000 (11:49 -0800)
committerLuis R. Rodriguez <lrodriguez@atheros.com>
Mon, 11 Jan 2010 19:49:33 +0000 (11:49 -0800)
Signed-off-by: Luis R. Rodriguez <lrodriguez@atheros.com>
compat/compat-2.6.24.c

index 977eb45..e496236 100644 (file)
@@ -13,6 +13,8 @@
 /* All things not in 2.6.22 and 2.6.23 */
 #if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,24))
 
+#include <net/arp.h>
+
 /* Part of net/ethernet/eth.c as of 2.6.24 */
 char *print_mac(char *buf, const u8 *addr)
 {